Name:           hiawatha
Version:        10.0
Release:        ecualinux.2%{?dist}
Summary:        Hiawatha, an advanced and secure webserver for Unix
Group:          Applications/Internet
License:        GPLv2
URL:            https://www.hiawatha-webserver.org/
Source0:        https://www.hiawatha-webserver.org/files/%{name}-%{version}.tar.gz
Packager:	Paul Bernal <pbernal@cedia.org.ec>

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake >= 2.8.2
%if %{?_without_polarssl:1}0
BuildRequires:  polarssl-devel >= 1.3.0
%endif
BuildRequires:  gcc glibc-devel libxml2-devel libxslt-devel
Requires:       libxml2 libxslt

%description
Hiawatha is a webserver for Unix and has been build with security in mind.

This resulted in a highly secure webserver, in both code and features.

This webserver runs on Linux, BSD, MacOS X and Windows. Although it can run any
kind of CGI / FastCGI application, it has been optimized for usage with PHP.
Most well known PHP frameworks and CMS applications have been tested with
Hiawatha and ran without a problem. Hiawatha supports many web and HTTP features
such as CGI/FastCGI, HTTP authentication, virtual host support, request
pipelining, keep alive connections, URL rewriting and many more.

%prep
%setup -q

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS
cmake \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX="" \
	-DENABLE_CHROOT=ON \
	-DENABLE_COMMAND=ON \
	-DCMAKE_INSTALL_LIBDIR=%{_libdir} \
	-DCMAKE_INSTALL_BINDIR=%{_bindir} \
	-DCMAKE_INSTALL_SBINDIR=%{_sbindir} \
	-DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
	-DCMAKE_INSTALL_MANDIR=%{_mandir} \
%if %{?_without_polarssl:1}0
	-DUSE_SYSTEM_POLARSSL=on \
%endif
	-DENABLE_TOMAHAWK=on \
	-DENABLE_MONITOR=on
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}
%__make install DESTDIR=%{buildroot}
sed -ri 's/www-data www-data/apache apache/' logrotate.d/hiawatha
%__install -D -m644 logrotate.d/hiawatha %{buildroot}%{_sysconfdir}/logrotate.d/hiawatha
%__install -dm 755 %{buildroot}%{_initrddir}
cp extra/debian/init.d/hiawatha %{buildroot}%{_initrddir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README.md
%config(noreplace) %{_sysconfdir}/hiawatha/*
%config %{_sysconfdir}/logrotate.d/hiawatha
%{_bindir}/*
%{_sbindir}/*
%if !%{?_without_polarssl:1}0
%{_libdir}/hiawatha/
%endif
%{_mandir}/*
%{_localstatedir}/log/hiawatha/
%{_localstatedir}/www/hiawatha/
%attr(0755, root, root) %{_initrddir}/hiawatha

%post
/sbin/chkconfig --add %{name}
/sbin/chkconfig %{name} on

#%preun
#%{stop_on_removal %{name}}

#%postun
#%{restart_on_update %{name}}

%changelog
* Thu Dec 24 2015 Ernesto Perez <ernesto.perez@cedia.org.ec> - 10.0-2
- Updated to upstream

* Thu Dec 24 2015 Ernesto Perez <ernesto.perez@cedia.org.ec> - 9.15-2
- Updated to upstream

* Thu Dec 24 2015 Ernesto Perez <ernesto.perez@cedia.org.ec> - 9.14-2
- Updated to upstream

* Thu Dec 24 2015 Ernesto Perez <ernesto.perez@cedia.org.ec> - 9.13-2
- Updated to upstream

* Wed Feb 25 2015 Ernesto Perez <ernesto.perez@cedia.org.ec> - 9.12-2
- Updated to upstream

* Thu Oct 23 2014 Paul Bernal <paul.bernal@cedia.org.ec> - 9.8-2
- Fixed a %files section bug including %{_bindir} and others without /*
- Since EPEL's polarssl is not compiled with appropriate options,
  changed _bundled_polarssl to _without_polarssl so it compiles with bundled
  by default

* Wed Oct 01 2014 Paul Bernal <paul.bernal@cedia.org.ec> - 9.8-1
- Upgraded to 9.8

* Mon Sep 11 2014 Paul Bernal <paul.bernal@cedia.org.ec> - 9.7-3
- Added chkconfig commands on %post, as requested by Hugo ;)
- Removed %preun and %postun as they seems not to work/be neccesarry on RH
- Added a --define option to choose to compile with system's or bundled polarSSL

* Mon Sep 08 2014 Paul Bernal <paul.bernal@cedia.org.ec> - 9.7-3
- Adapted to build entirely from SPEC with/without make_redhat_package
- Modified to compile against the system's PolarSSL library

* Fri Aug 15 2014 Ernesto Perez <ernesto.perez@cedia.org.ec>
- Upgraded to 9.7

* Sun Apr 27 2014 Ernesto Perez <eperez@ecualinux.com>
- Upgraded to 9.5

* Fri Apr 04 2014 Ernesto Perez <eperez@ecualinux.com>
- Upgraded to 9.4

* Sat Dec 28 2013 Ernesto Perez <eperez@ecualinux.com>
- Upgraded to 9.3.1
- Finally decided to add something to changelog
